//
//  TableViewExampleViewController.m
//  TableViewExample
//
//  Created by jmp32 on 8/6/13.
//  Copyright (c) 2013 j03_digital. All rights reserved.
//

#import "TableViewExampleViewController.h"

@interface TableViewExampleViewController ()

@end

@implementation TableViewExampleViewController

NSMutableArray *listofMovies;

//--inset individual row into the table view--
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier=@"Cell";
    
    //--try to get a reusable cell--
    UITableViewCell *cell=[tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    //--create new cell if no reusable cell is abilable--
    if (cell==nil) {
        cell=[[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    //--set the text to display for the cell--
    NSString *cellValue=[listofMovies objectAtIndex:indexPath.row];
    cell.textLabel.text=cellValue;
    
    //--display an image--
    UIImage *image=[UIImage imageNamed:@"movie-icon.gif"];
    cell.imageView.image=image;
    
    return cell;
}

//--set the number of rows in the table view--
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [listofMovies count];
}

//--adding a header to the table view--
-(NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
    //--display "Move List" as the header--
    return @"Movie List";
}

//--adding a footer to the table view--
-(NSString *)tableView:(UITableView *)tableView titleForFooterInSection:(NSInteger)section
{
    //--display "by Denzel Washington" as the footer--
    return @"by Denzel Washington";
}

- (void)viewDidLoad
{
    //--initialize the array--
    listofMovies=[[NSMutableArray alloc] init];
    
    //--add items--
    [listofMovies addObject:@"Traning day"];
    [listofMovies addObject:@"Remember the Titans"];
    [listofMovies addObject:@"John Q."];
    [listofMovies addObject:@"The Bone Collector"];
    [listofMovies addObject:@"Ricochet"];
    [listofMovies addObject:@"The Siege"];
    [listofMovies addObject:@"Malcom X"];
    [listofMovies addObject:@"Antwone Fisher"];
    [listofMovies addObject:@"Courage Under Fire"];
    [listofMovies addObject:@"He Got Game"];
    [listofMovies addObject:@"The Pelican Brief"];
    [listofMovies addObject:@"Glory"];
    [listofMovies addObject:@"The Preacher's Wife"];
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

//--making a selection in a table view--
-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSString *moviewSelected=[listofMovies objectAtIndex:indexPath.row];
    NSString *msg=[NSString stringWithFormat:@"You have selected %@", moviewSelected];
    UIAlertView *alert=[[UIAlertView alloc] initWithTitle:@"Movie selected" message:msg delegate:self cancelButtonTitle:@"OK" otherButtonTitles:nil];
    [alert show];
    [alert release];
}

//--making indententions on rows--
-(NSInteger)tableView:(UITableView *)tableView indentationLevelForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return [indexPath row]%2;
}

//--modifying the height of each row--
-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 70;
}

//--modifying the height of the header--
-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section
{
    return 50;
}

//--modifying the height of the footer--
-(CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section
{
    return 40;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
